package com.cisco.ass.distr;

import com.cisco.ass.distr.tools.Factorization;
import com.cisco.ass.distr.tools.NumberSource;
import com.google.common.collect.Lists;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class StreamImpl implements Test {

    private static final Logger LOG = LoggerFactory.getLogger(StreamImpl.class);

    @Override
    public void test(NumberSource source, Factorization factorization) throws Exception {
        Lists.newArrayList(source).parallelStream()
                .map(factorization::factor)
                .forEach(x -> LOG.info("Factors: {}", x));
    }
}
