package com.cisco.ass.distr.tools;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.math.BigInteger;
import java.nio.charset.StandardCharsets;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;

public class NumberGen {

    private static final int NUMBER_CNT = 100;
    private static final int BYTES = 7;
    private static final File FILE = new File("numbers.txt");

    public static void main(String[] args) throws NoSuchAlgorithmException, FileNotFoundException, UnsupportedEncodingException {
        SecureRandom r = SecureRandom.getInstanceStrong();

        try (PrintWriter out = new PrintWriter(FILE, StandardCharsets.UTF_8.name())){
            byte[] buf = new byte[BYTES];

            for (int i = 0; i < NUMBER_CNT; i++) {
                r.nextBytes(buf);

                out.println(new BigInteger(1, buf).toString(10));
            }
        }
    }
}
